tabular-0.2.2.8: Two-dimensional data tables with rendering functions

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Tabular.AsciiArt

Synopsis

- render :: (rh -> String) -> (ch -> String) -> (a -> String) -> Table rh ch a -> String
- renderColumns :: [Int] -> Header String -> String
- renderHLine :: [Int] -> Header String -> Properties -> [String]
- renderHLine' :: [Int] -> Char -> Header String -> String
- padLeft :: Int -> String -> String

# Documentation

render :: (rh -> String) -> (ch -> String) -> (a -> String) -> Table rh ch a -> String Source #

for simplicity, we assume that each cell is rendered on a single line

renderColumns Source #

Arguments

:: [Int] | max width for each column
-> Header String |
-> String |

We stop rendering on the shortest list!

renderHLine Source #

Arguments

:: [Int] | width specifications
-> Header String |
-> Properties |
-> [String] |

renderHLine' :: [Int] -> Char -> Header String -> String Source #

padLeft :: Int -> String -> String Source #